Subject: Re: [PATCH RFC leds + net-next v2 1/1] net: phy: marvell: add support for PHY LEDs via LED class

From: Pavel Machek <[email-masked]>
Date: Sat, 25 Jul 2020 11:41:39 +0200

Hi!

> > > My main issue though is whether one "hw-control" trigger should be
> > > registered via LED API and the specific mode should be chosen via
> > > another sysfs file as in this RFC, or whether each HW control mode
> > > should have its own trigger. The second solution would either result in
> > > a lot of registered triggers or complicate LED API, though...
> > 
> > If you register say 5 triggers.... that's okay. If you do like 1024
> > additional triggers (it happened before!)... well please don't.
> 
> Hi Pavel
> 
> There tends to be around 15 different blink patterns per LED. And
> there can be 2 to 3 LEDs per PHY. The blink patterns can be different
> per PHY, or they can be the same. For the Marvell PHY we are looking
> at around 45. Most of the others PHYs tend to have the same patterns
> for all LEDs, so 15 triggers could be shared.
> 
> But if you then think of a 10 port Ethernet switch, there could be 450
> triggers, if the triggers are not shared at all.
> 
> So to some extent, it is a question of how much effort should be put
> in to sharing triggers.

It sounds to me ... lot of effort should be put to sharing triggers
there :-).

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html